diff --git a/src/tools/msvc/vcregress.pl b/src/tools/msvc/vcregress.pl
index 3d14544..3348b9f 100644
--- a/src/tools/msvc/vcregress.pl
+++ b/src/tools/msvc/vcregress.pl
@@ -547,7 +547,20 @@ sub InstallTemp
 sub usage
 {
 	print STDERR
-	  "Usage: vcregress.pl ",
-"<check|installcheck|plcheck|contribcheck|isolationcheck|ecpgcheck|upgradecheck> [schedule]\n";
+		"Usage: vcregress.pl <mode> [ <schedule> ]\n\n",
+		"Options for <mode>:\n",
+		"  bincheck       run tests of utilities in src/bin/\n",
+		"  check          deploy instance and run regression tests on it\n",
+		"  contribcheck   run tests of modules in contrib/\n",
+		"  ecpgcheck      run regression tests of ECPG driver\n",
+		"  installcheck   run regression tests on existing instance\n",
+		"  isolationcheck run isolation tests\n",
+		"  modulescheck   run tests of modules in src/test/modules\n",
+		"  plcheck        run tests of PL languages\n",
+		"  recoverycheck  run recovery test suite\n",
+		"  upgradecheck   run tests of pg_upgrade\n",
+		"\nOptions for <schedule>:\n",
+		"  serial         serial mode\n",
+		"  parallel       parallel mode\n";
 	exit(1);
 }
